{{sidenavigation.sidenavigationExpandLabel}}
{{getMsg('Help_YouAreHere')}}: /  {{page.title}} {{page.title}}
{{$root.getMsg("downLoadHelpAsPdf")}} {{helpModel.downloadHelpPdfDataStatus}}

Help

/api/help/search

Entry point of the help WebAPI. Provides the help tree and triggers help searches.

Searches help pages for the given query.

Parameters

Name Location Type Required Description
query query string no search text
limit query integer (int32) no optional maximum number of results

Response

Status Content Type Schema Description
200 application/json HelpSearchServiceResult search result

Example Request

# Request
GET /api/help/search HTTP/1.1
Accept: application/json
Authorization: Bearer <access-token>

# Response
HTTP/1.1 200 OK
Content-Type: application/json

{
    "result": [
        {
            "pageTitle": "string",
            "searchDetails": "string",
            "mayContainHTML": true,
            "key": "string",
            "url": "string"
        }
    ],
    "searchTerm": "string",
    "searchableTokens": [
        "string"
    ]
}

POST /api/help/search

Searches help pages using a JSON request body.

Request Body

Content Type Schema Required Description
application/json HelpSearchRequest yes search request

Response

Status Content Type Schema Description
200 application/json HelpSearchServiceResult search result

Example Request

# Request
POST /api/help/search HTTP/1.1
Accept: application/json
Authorization: Bearer <access-token>
Content-Type: application/json

{
    "query": "string",
    "limit": 0
}

# Response
HTTP/1.1 200 OK
Content-Type: application/json

{
    "result": [
        {
            "pageTitle": "string",
            "searchDetails": "string",
            "mayContainHTML": true,
            "key": "string",
            "url": "string"
        }
    ],
    "searchTerm": "string",
    "searchableTokens": [
        "string"
    ]
}

Common Error Responses

The status codes 400, 403, 404, 405, 406, 409, 413, 415, and 500 use the same ApiError JSON error format:

{
    "status": 404,
    "code": "route_not_found",
    "message": "The requested API route does not exist.",
    "details": []
}

Schemas

Request and response schemas used on this page.

HelpSearchServiceResult

Property Type Required Description
result array<HelpPageSearchServiceDescription> no —
searchTerm string no —
searchableTokens array<string> no —

HelpPageSearchServiceDescription

Property Type Required Description
pageTitle string no —
searchDetails string no —
mayContainHTML boolean no —
key string no —
url string no —

ApiError

Property Type Required Description
status integer (int32) yes —
code string yes —
message string yes —
details array<object> no —

HelpSearchRequest

Property Type Required Description
query string no —
limit integer (int32) no —
i-net PDFC
This application uses cookies to allow login. By continuing to use this application, you agree to the use of cookies.


Help